bridge:
  port: ${node.metadata['mx-puppet-discord'].get('port', 20000)}
  bindAddress: ${node.metadata['mx-puppet-discord'].get('listen-addr', '127.0.0.1')}
  domain: ${node.metadata['mx-puppet-discord']['homeserver']['domain']}
  homeserverUrl: ${node.metadata['mx-puppet-discord']['homeserver']['url']}
  enableGroupSync: true

presence:
  enabled: true
  interval: 500
  disableStatusState: true

provisioning:
  whitelist:
% for regex in node.metadata['mx-puppet-discord']['allowed-users']:
    - "${regex}"
% endfor

namePatterns:
  user: ":name (Discord)"
  userOverride: ":displayname (Discord)"
  room: "#:name (:guild)"
  group: ":name"

database:
  connString: "postgres://${node.metadata['mx-puppet-discord']['database']['user']}:${node.metadata['mx-puppet-discord']['database']['password']}@${node.metadata['mx-puppet-discord']['database'].get('host', 'localhost')}/${node.metadata['mx-puppet-discord']['database']['database']}?sslmode=disable"

logging:
  console:
    level: info
    disabled:
      - PresenceHandler
      - module: bot-sdk-MatrixLiteClient
        regex: /_matrix/client/r0/presence/
  lineDateFormat: YYYY-MM-DD HH:mm:ss.SSS
